> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Documents for a Business

> **Scopes:** `document:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/document
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/document:
    get:
      tags:
        - Document
      summary: List all Documents for a Business
      description: '**Scopes:** `document:read`'
      operationId: list_documents_v0_business__business_id__document_get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
        - name: document_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/DocumentType'
              - type: 'null'
            description: Include only Documents with the given document_type
            title: Document Type
          description: Include only Documents with the given document_type
        - name: transaction_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: txn_string
              - type: 'null'
            description: Include only Documents that have the given transaction_id
            title: Transaction Id
          description: Include only Documents that have the given transaction_id
        - name: start_datetime
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Include documents after this period (inclusive) in ISO-8601 format
            examples:
              - '2025-01-01T00:00:00Z'
            title: Start Datetime
          description: Include documents after this period (inclusive) in ISO-8601 format
        - name: end_datetime
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Include documents before this period (inclusive) in ISO-8601
              format
            examples:
              - '2026-01-01T00:00:00Z'
            title: End Datetime
          description: Include documents before this period (inclusive) in ISO-8601 format
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                description: The page token to for the next or previous page
              - type: 'null'
            title: Page Token
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentsPaginated'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - document:read
components:
  schemas:
    DocumentType:
      type: string
      enum:
        - receipt
        - statement
        - other
        - payroll
        - bill
        - mileage
      title: DocumentType
    DocumentsPaginated:
      properties:
        data:
          items:
            $ref: '#/components/schemas/DocumentPublic'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
      required:
        - data
        - pagination
      title: DocumentsPaginated
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    DocumentPublic:
      properties:
        task_id:
          anyOf:
            - type: string
              format: tsk_string
            - type: 'null'
          title: Task Id
          description: The id of the Task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the Business
          examples:
            - biz_R2fAXCjqJPdpYata112zyW
        name:
          type: string
          maxLength: 255
          title: Name
          description: The original file name
          examples:
            - receipt.pdf
        description:
          type: string
          maxLength: 255
          title: Description
          description: The description of the Document
          examples:
            - Receipt
        document_type:
          $ref: '#/components/schemas/DocumentType'
          description: The type of the Document.
          examples:
            - receipt
            - statement
            - other
        file_size:
          type: integer
          title: File Size
          description: The size of the file in kilobytes
          examples:
            - 1024
        status:
          $ref: '#/components/schemas/DocumentPublicStatus'
          description: The status of the Document
        source:
          $ref: '#/components/schemas/DocumentSource'
          description: The ingest channel the Document arrived through
          default: manual_upload
          examples:
            - manual_upload
            - email
            - integration
        external_account_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: External Account Id
        transaction_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Transaction Id
        external_id:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: External Id
          description: External identifier for deduplication (e.g., provider payroll ID)
          examples:
            - gusto-payroll-abc123
        metadata_:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
        id:
          type: string
          format: doc_string
          title: Id
          description: The id of the Document
          examples:
            - doc_R2fAXCjqJPdpYata112zyW
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The datetime the Document was created in UTC ISO-8601 format
        journal_entry_ids:
          anyOf:
            - items:
                type: string
                format: je_string
              type: array
            - type: 'null'
          title: Journal Entry Ids
          description: The ids of the Journal Entries associated with the document
          examples:
            - je_R2fAXCjqJPdpYata112zyW
            - je_R2fAXCjqJPdpYata112zyW
        external_account_ids:
          anyOf:
            - items:
                type: string
                format: eac_string
              type: array
            - type: 'null'
          title: External Account Ids
          description: The ids of the External Accounts associated with the document
          examples:
            - eac_R2fAXCjqJPdpYata112zyW
            - eac_R2fAXCjqJPdpYata112zyW
        transaction_ids:
          anyOf:
            - items:
                type: string
                format: txn_string
              type: array
            - type: 'null'
          title: Transaction Ids
          description: The ids of the Transactions associated with the document
          examples:
            - txn_R2fAXCjqJPdpYata112zyW
            - txn_R2fAXCjqJPdpYata112zyW
        status_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Reason
          description: Human-readable reason when the document has the failed status
        failure_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Failure Code
          description: The code of the failure when the document has the failed status
        bill_id:
          anyOf:
            - type: string
              format: bil_string
            - type: 'null'
          title: Bill Id
          description: The id of the Bill associated with the document
          examples:
            - bil_R2fAXCjqJPdpYata112zyW
      type: object
      required:
        - business_id
        - name
        - description
        - document_type
        - file_size
        - status
        - external_account_id
        - transaction_id
        - id
        - created_at
      title: DocumentPublic
    PaginationResponse:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
          description: The next page token
        previous_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page Token
          description: The previous page token
      type: object
      title: PaginationResponse
    DocumentPublicStatus:
      type: string
      enum:
        - processing
        - processed
        - partially_processed
        - failed
      title: DocumentPublicStatus
    DocumentSource:
      type: string
      enum:
        - manual_upload
        - email
        - integration
      title: DocumentSource
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````